## skiboot 6.5.2

=== Makefile ===
# SPDX-License-Identifier: Apache-2.0
# Copyright 2012-2019 IBM Corp

#
# If you want to build in another directory copy this file there and
# fill in the following values
#

#
# Prefix of cross toolchain, if anything
# Example: CROSS= powerpc64-unknown-linux-gnu-
#
ARCH = $(shell uname -m)
ifdef CROSS_COMPILE
	CROSS ?= $(CROSS_COMPILE)
endif
ifneq ("$(ARCH)", "ppc64")
ifneq ("$(ARCH)", "ppc64le")
	CROSS ?= powerpc64-linux-
endif
endif

#
# Main debug switch
#
DEBUG ?= 0

# Run tests under valgrind?
USE_VALGRIND ?= 1

#
# Optional location of embedded linux kernel file
# This can be a raw vmlinux, stripped vmlinux or
# zImage.epapr
#
KERNEL ?=

#
# Optional build with advanced stack checking
#
STACK_CHECK ?= $(DEBUG)

#
# Experimental (unsupported) build options
#
# Little-endian does not yet build. Include it here to set ELF ABI.
LITTLE_ENDIAN ?= 0
# ELF v2 ABI is more efficient and compact
ELF_ABI_v2 ?= $(LITTLE_ENDIAN)
# Discard unreferenced code and data at link-time
DEAD_CODE_ELIMINATION ?= 0
# Try to build without FSP code
CONFIG_FSP?=1

#
# Where is the source directory, must be a full path (no ~)
# Example: SRC= /home/me/skiboot
#
SRC=$(CURDIR)

#
# Where to get information about this machine (subdir name)
#
DEVSRC=hdata

#
# default config file, see include config_*.h for more specifics
#
CONFIG := config.h

include $(SRC)/Makefile.main

=== external/devicetree/Makefile ===
# SPDX-License-Identifier: Apache-2.0
#
# Copyright 2019 IBM Corp.

DTC=dtc
OUT=p9-simics.dtb

all: $(OUT)

%.dtb: %.dts
	$(DTC) -I dts -O dtb $< -o $@

clean:
	$(RM) $(OUT)

=== external/lpc/Makefile ===
# SPDX-License-Identifier: Apache-2.0

all: lpc

lpc: lpc.c
	$(CC) -o $@ $^

clean: rm -rf *.[od] lpc

=== external/mambo/Makefile ===
# SPDX-License-Identifier: Apache-2.0

CFLAGS=-O2 -m64 -pthread -Werror -Wall

CC=$(CROSS)gcc

all: mambo-socket-proxy

clean:
	rm -rf mambo-socket-proxy

=== external/memboot/Makefile ===
# SPDX-License-Identifier: Apache-2.0
all: memboot

CFLAGS=-O2 -Wall

memboot: memboot.c
	$(CC) $(CFLAGS) -o $@ $^

.PHONY: clean
clean:
	rm -rf memboot

.PHONY: distclean
distclean: clean
	rm -rf *.c~ *.h~ *.i *.s Makefile~

=== external/shared/Makefile ===
# SPDX-License-Identifier: Apache-2.0
.DEFAULT_GOAL := all
GET_ARCH := ../../external/common/get_arch.sh
include ../../external/common/rules.mk
include rules.mk

PREFIX ?= /usr/local/
LIBDIR := $(PREFIX)/lib
INCDIR := $(PREFIX)/include/libflash

ifneq ($(ARCH), ARCH_ARM)
CFLAGS += -m64
endif
CFLAGS += -Werror -Wall -g2 -ggdb -I. -fPIC

LIBFLASH_OBJS := libflash-file.o libflash-libflash.o libflash-libffs.o \
	libflash-ecc.o libflash-blocklevel.o
ARCHFLASH_OBJS := common-arch_flash.o
OBJS := $(LIBFLASH_OBJS) $(ARCHFLASH_OBJS)

LIBFLASH_H := libflash/file.h libflash/libflash.h libflash/libffs.h \
	libflash/ffs.h libflash/ecc.h libflash/blocklevel.h libflash/errors.h
ARCHFLASH_H := common/arch_flash.h

LIBFLASH_FILES := libflash.c libffs.c ecc.c blocklevel.c file.c
LIBFLASH_SRC := $(addprefix libflash/,$(LIBFLASH_FILES))

$(LIBFLASH_SRC): | links

$(LIBFLASH_OBJS) : libflash-%.o : libflash/%.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $< -o $@

clean:
	rm -f $(OBJS) common-*.o *.so*

distclean: clean
	rm -f ccan libflash common

all: links arch_links $(OBJS)
	$(CC) -shared -Wl,-soname,libflash.so -o $(SHARED_NAME) $(OBJS)

install-lib: all
	install -D -m 0755 $(SHARED_NAME) $(DESTDIR)$(LIBDIR)/$(SHARED_NAME)
	ln -sf $(SHARED_NAME) $(DESTDIR)$(LIBDIR)/libflash.so

install-dev: links arch_links
	mkdir -p $(DESTDIR)$(INCDIR)
	install -m 0644 $(LIBFLASH_H) $(ARCHFLASH_H) $(DESTDIR)$(INCDIR)

install: install-lib install-dev

uninstall:
	rm -f $(DESTDIR)$(LIBDIR)/libflash*
	rm -rf $(DESTDIR)$(INCDIR)

=== external/trace/Makefile ===
# SPDX-License-Identifier: Apache-2.0
HOSTEND=$(shell uname -m | sed -e 's/^i.*86$$/LITTLE/' -e 's/^x86.*/LITTLE/' -e 's/^ppc64le/LITTLE/' -e 's/^ppc.*/BIG/')
CFLAGS=-g -Wall -DHAVE_$(HOSTEND)_ENDIAN -I../../include -I../../

dump_trace: dump_trace.c trace.c ../../ccan/heap/heap.c

clean:
	rm -f dump_trace *.o

=== external/xscom-utils/Makefile ===
# SPDX-License-Identifier: Apache-2.0
CC = $(CROSS_COMPILE)gcc

XSCOM_VERSION ?= $(shell ../../make_version.sh xscom-utils)
CFLAGS += -O2 -g -Wall -m64

prefix = /usr/local/
sbindir = $(prefix)/sbin
datadir = $(prefix)/share
mandir = $(datadir)/man

%.o: %.c
	$(Q_CC)$(COMPILE.c) $< -o $@

# Use make V=1 for a verbose build.
ifndef V
        Q_CC=	@echo '    CC ' $@;
        Q_LINK=	@echo '  LINK ' $@;
        Q_LN=   @echo '    LN ' $@;
        Q_MKDIR=@echo ' MKDIR ' $@;
endif

all: getscom putscom getsram

getscom: getscom.o xscom.o version.o
	$(Q_LINK)$(LINK.o) -o $@ $^

getsram: getsram.o xscom.o sram.o version.o
	$(Q_LINK)$(LINK.o) -o $@ $^

putscom: putscom.o xscom.o version.o
	$(Q_LINK)$(LINK.o) -o $@ $^

install: all
	install -D getscom $(DESTDIR)$(sbindir)/getscom
	install -D putscom $(DESTDIR)$(sbindir)/putscom
	install -D getsram $(DESTDIR)$(sbindir)/getsram
	install -D -m 0644 getscom.1 $(DESTDIR)$(mandir)/man1/getscom.1
	install -D -m 0644 putscom.1 $(DESTDIR)$(mandir)/man1/putscom.1
	install -D -m 0644 getsram.1 $(DESTDIR)$(mandir)/man1/getsram.1

.PHONY: clean
clean:
	rm -rf *.[od] getscom putscom getsram

.PHONY: distclean
distclean: clean
	rm -rf *.c~ *.h~ *.i *.s Makefile~ .version version.c

version.c: ../../make_version.sh  .version
	@(if [ "a$(XSCOM_VERSION)" = "a" ]; then \
	echo "#error You need to set XSCOM_VERSION environment variable" > $@ ;\
	else \
	echo "const char version[] = \"$(XSCOM_VERSION)\";" ;\
	fi) > $@

.PHONY: VERSION-always
.version: VERSION-always
	@echo $(XSCOM_VERSION) > $@.tmp
	@cmp -s $@ $@.tmp || cp $@.tmp $@
	@rm -f $@.tmp

=== debian/changelog ===
skiboot (6.5.2-1ubuntu0.20.04.1) focal; urgency=medium

  * opal-prd: mmap(range:ibm,hbrt-code-image,...) fails with EPERM
     (LP: #1905393) opal-prd fails to start
     d/patches/0005-fix-opal-prd-fail-with-EPERM.patch
  * opal-prd: Have a worker process handle page offlining
     (LP: #1904585) Have a worker process handle page offlining
     d/patches/0006-fix-opal-prd-have-worker-process-handle-page-offlining.patch

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Mon, 07 Dec 2020 16:03:03 -0600

skiboot (6.5.2-1) unstable; urgency=medium

  * Update to new upstream version 6.5.2.
  * Remove qemu-skiboot package
  * Bump Standards-Version
  * Add field Rules-Requires-Root

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 15 Jan 2020 14:56:04 +0100

=== debian/control ===
Source: skiboot
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/open-power/skiboot/
Vcs-Git: https://salsa.debian.org/debian/skiboot.git
Vcs-Browser: https://salsa.debian.org/debian/skiboot

Package: opal-prd
Architecture: ppc64 ppc64el
Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: rsyslog
Description: OPAL Processor Recovery Diagnostics daemon
 This package provides a daemon to load and run the OpenPower firmware's
 Processor Recovery Diagnostics binary. This is responsible for runtime
 maintenance of Power hardware.

Package: opal-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OPAL firmware utilities
 This package contains utility programs.
 .
 The 'gard' utility, can read, parse and clear hardware gard partitions on
 OpenPower platforms.

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc|m)/~$1/ \
https://github.com/open-power/skiboot/tags .*/v(\d\S*)\.tar\.gz

## skiboot 6.6.2

=== debian/changelog ===
skiboot (6.6.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Frédéric Bonnard ]
  * Update to new upstream version 6.6.2.
  * Update copyright file especially GPL-2+ additional licensing
  * Upgrade debhelper compatibility level
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 28 Aug 2020 14:59:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: skiboot
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Maintainer: Frédéric Bonnard <frediz@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/open-power/skiboot/
 Vcs-Git: https://salsa.debian.org/debian/skiboot.git

## skiboot 6.7.1+dfsg

=== libstb/crypto/mbedtls/include/CMakeLists.txt ===
option(INSTALL_MBEDTLS_HEADERS "Install mbed TLS headers." ON)

if(INSTALL_MBEDTLS_HEADERS)

    file(GLOB headers "mbedtls/*.h")

    install(FILES ${headers}
        DESTINATION include/mbedtls
        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

endif(INSTALL_MBEDTLS_HEADERS)

# Make config.h available in an out-of-source build. ssl-opt.sh requires it.
if (ENABLE_TESTING AND NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    link_to_source(mbedtls)
endif()

=== debian/changelog ===
skiboot (6.7.1+dfsg-1) unstable; urgency=medium

  * Update to new upstream version 6.7.1+dfsg (removing libstb/tss2).
  * Update d/copyright
  * Reflect dfsg in d/watch
  * Bump Standards-Version (no change needed)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 28 Jan 2021 14:31:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/open-power/skiboot/
 Vcs-Git: https://salsa.debian.org/debian/skiboot.git

## skiboot 7.0+dfsg

=== libstb/crypto/mbedtls/programs/CMakeLists.txt ===
add_subdirectory(aes)
add_subdirectory(hash)
add_subdirectory(pkey)
add_subdirectory(random)
add_subdirectory(ssl)
add_subdirectory(test)
add_subdirectory(x509)
add_subdirectory(util)

=== debian/changelog ===
skiboot (7.0+dfsg-1build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:28 +0200

skiboot (7.0+dfsg-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:08 +0100

skiboot (7.0+dfsg-1) unstable; urgency=medium

  * Update to new upstream version 7.0+dfsg.
  * Update d/copyright info
  * Bump Standards-Version (no change needed)

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 29 Oct 2021 15:32:03 +0200

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,uversionmangle=s/-(rc|m)/~$1/ \
https://github.com/open-power/skiboot/tags .*/v(\d\S*)\.tar\.gz
